OpenNMS API 1.2.9

## org.opennms.netmgt.config
Interface DbConnectionFactory

All Known Implementing Classes:
  C3P0DbConnectionFactory, LegacyDbConnectionFactory, MockDatabase

public interface DbConnectionFactory

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`java.sql.Connection` `getConnection()` Return a new database connection to the database configured in the `opennms-database.xml`.

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Return a new database connection to the database configured in the `opennms-database.xml`. The database connection is not managed by the factory and must be release by the caller by using the `close` method.

  Returns:
    a new database connection to the database configured in the `opennms-database.xml`
  Throws:
    `java.sql.SQLException` - Thrown if there is an error opening the connection to the database.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.